Create an OVH API credential
import requests
url = "https://platform.ankra.app/api/v1/credentials/ovh"
payload = {
"application_key": "<string>",
"application_secret": "<string>",
"consumer_key": "<string>",
"name": "<string>",
"project_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
application_key: '<string>',
application_secret: '<string>',
consumer_key: '<string>',
name: '<string>',
project_id: '<string>'
})
};
fetch('https://platform.ankra.app/api/v1/credentials/ovh', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://platform.ankra.app/api/v1/credentials/ovh \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"application_key": "<string>",
"application_secret": "<string>",
"consumer_key": "<string>",
"name": "<string>",
"project_id": "<string>"
}
'{
"errors": [],
"success": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}OVH Credentials
Create an OVH API credential
POST
/
api
/
v1
/
credentials
/
ovh
Create an OVH API credential
import requests
url = "https://platform.ankra.app/api/v1/credentials/ovh"
payload = {
"application_key": "<string>",
"application_secret": "<string>",
"consumer_key": "<string>",
"name": "<string>",
"project_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
application_key: '<string>',
application_secret: '<string>',
consumer_key: '<string>',
name: '<string>',
project_id: '<string>'
})
};
fetch('https://platform.ankra.app/api/v1/credentials/ovh', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://platform.ankra.app/api/v1/credentials/ovh \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"application_key": "<string>",
"application_secret": "<string>",
"consumer_key": "<string>",
"name": "<string>",
"project_id": "<string>"
}
'{
"errors": [],
"success": true
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json